const ExtractTextPlugin = require('extract-text-webpack-plugin');
const extractCSS = new ExtractTextPlugin('[name].css');
const path = require('path');



const baseConf = {
	entry : {},
	output:{
		path:path.resolve(process.cwd() , 'dest/dev'),
		filename: '[name].js',
		chunkFilename: "[name].[hash].js", //给require.ensure用
		publicPath: '//127.0.0.1:3001/dest/dev/' //给require.ensure用
	},
	module:{
		rules:[
			{
				test:/\.vue$/,
				loader:'vue-loader',
				options: {
					loaders: {
						scss: 'vue-style-loader!css-loader!sass-loader!postcss-loader',
						sass: 'vue-style-loader!css-loader!sass-loader!postcss-loader'
					}
				}
			},{
				test:/\.js$/,
				exclude: /node_modules/,
				loader:'babel-loader'
			},{
				test: /\.css$/,
				loader: extractCSS.extract({fallback: 'style-loader',use:["css-loader"]})
			},{
				test: /(\.sass|\.scss)$/,
				loader: extractCSS.extract({fallback: 'style-loader',use:["sass-loader",'postcss-loader']})
			}
		]
	},
	plugins:[ 
		extractCSS
	],
	resolve: {
		alias: {
			'vue$': 'vue/dist/vue.common.js'
		}
	}
};

module.exports = baseConf;