'use strict';
const argv = require('node-args');
const fs = require('fs');
const colors = require('colors');
const env = process.env;
const path = require('path');
const isProduc = env.NODE_ENV === 'production';
const devServer = require('./webpack.dev');
const prodServer = require('./webpack.prod');

        // new webpack.optimize.CommonsChunkPlugin({
  //           name:'common' // 注意不要.js后缀
  //       })

const baseO = {
	"main": "main",
	"version": "v1.0.0",
	"baseEntryDir": "pages",
	"openBrowser": true,
    "prodStaticSite":"http://onlyqing.cn:3000"
}

const entry = {};

module.exports = ( O = {} )  => {
	const o = Object.assign(baseO , O);
	const pagePath = path.resolve( process.cwd() , o.baseEntryDir );
	const port = argv.p || 3001;
	const pagesPath = fs.readdirSync(pagePath);

	baseO.entry = entry;

	if( !pagesPath ) {
		console.log(color.red(`请添加入口目录、入口文件${o.baseEntryDir}`));
		process.exit(1);
	}

	const pages = pagesPath.filter( ( item ) => {
		if (!/^\.\w+/g.test(item)) return item;
	});
	if ( !pages.length ) {
		console.log(colors.red('请添加入口页面目录、入口文件'));
		process.exit(1);
	}

	process.on('exit', () => {
		if ( port <= 1024 ) {
			return console.log(color.red('权限不足1000以下端口监听要管理员权限 sudo'));
		}
	});

	pages.forEach((item) => {
		let pathRet = [path.resolve( pagePath , item, baseO.main + '.js')];
		isProduc ? '':pathRet.unshift(`webpack-dev-server/client?http://localhost:${port}/`);
		entry[ `${ item }/${ baseO.main }`] = pathRet;
	});
	
	isProduc ? prodServer(baseO) : devServer(baseO);
};