const fs = require('fs-extra');
const exec = require('child_process').exec;
const path = require('path');
const nodeModeule =  fs.existsSync('node_modules');

if ( !nodeModeule ) {
	console.log('\n  初次启动webpack需要安装vue依赖，请执行 \n\n  npm i --registry=https://registry.npm.taobao.org\n\n');
	return process.exit(1);
}

fs.stat(`${process.cwd()}/postcss.config.js`,( err, info ) => {
	if ( err && !info ) {
		fs.copySync(`${__dirname}/postcss.config.js`, `${process.cwd()}/postcss.config.js`);
	}
	fs.readFile(`${process.cwd()}/.build-config.json`,'UTF-8',(err, config)=>{
		if( err || !config ){
			const configData = config = fs.readFileSync( __dirname + '/.build-config.json', 'utf-8');
			fs.writeFileSync( `${process.cwd()}/.build-config.json`, configData, 'utf-8');
		}
		try{
			var _config = JSON.parse(config)
		}catch(e){
			console.log('配置文件不存在，已创建')
		}
		require('./bin/webpack.config')(_config);
	});
});